#! /bin/sh

SRCDIR=/system/add-ons/kernel/drivers
DSTDIR=$HOME/config/add-ons/kernel/drivers
SRCFILE=rtl8139
DSTFILE=rtl8139

if [ ! -e $DSTDIR/bin/$DSTFILE ]
then
	alert --stop "DFE-538TX patch is not applied."
	exit 1 
fi

alert --warning "Uninstalling DFE-538TX patch and restoring RTL8139 driver." Ok Quit > /dev/null || exit

rm $DSTDIR/bin/$DSTFILE
rm $DSTDIR/dev/net/$DSTFILE
gunzip $SRCDIR/bin/$SRCFILE

alert "Done."
